<?php

/******************************************************************************/
/******************************************************************************/

class NPPluginCSS
{
	/**************************************************************************/
	
	function __construct()
	{
		
	}
	
	/**************************************************************************/
	
	function create($option,$return=false)
	{
		$option['property']=$this->validateProperty($option['property']);
		
		if(!count($option['property'])) return;
		if(!array_key_exists('media',$option)) $option['media']=array();
		
		$output=null;
		
		$output.=$this->createMedia($option['media']);
		$output.=$this->createSelector($option['selector']);
		$output.=$this->createProperty($option['property']);
		$output.=$this->createMedia($option['media'],false);
		
		if($return) return($output);
		
		echo $output;
	}
	
	/**************************************************************************/
	
	function validateProperty($property)
	{
		$data=array();
		$Validation=new NPPluginValidation();
		
		foreach($property as $name=>$value)
		{
			switch($name)
			{
				case 'font-size':
				case 'margin-top':
				case 'margin-left':
				case 'margin-right':
				case 'margin-bottom':
				case 'border-top-width':
				case 'border-right-width':	
				case 'border-bottom-width':	
				case 'border-left-width':	
	
					if($Validation->isNumber($value,0,9999)) $data[$name]=$value.'px';
				
				break;
				
				case 'color':
				case 'border-top-color':
				case 'border-right-color':
				case 'border-bottom-color':
				case 'border-left-color':
					
					if($Validation->isHexColor($value)) $data[$name]='#'.$value;
					
				break;
				
				case 'font-family':
					
					if(!$Validation->isEmpty($value)) $data[$name]=$value;
					
				break;
			}
		}
		
		return($data);
	}
	
	/**************************************************************************/
	
	function createSelector($selector)
	{
		$output=null;
		
		foreach($selector as $name)
		{
			if(!is_null($output)) $output.=",\n";
			$output.=$name;
		}
		
		return("\n".$output."\n{\n");
	}
	
	/**************************************************************************/
	
	function createProperty($property)
	{
		$output=null;
		
		foreach($property as $name=>$value)
		{
			if(!is_null($output)) $output.="\n";
			$output.="\t".$name.':'.$value.';';
		}
		
		return($output."\n}\n");		
	}
	
	/**************************************************************************/
	
	function createMedia($media,$start=true)
	{
		if(!count($media)) return;
		
		if($start)
		{
			$output=null;
			foreach($media as $index=>$value)
				$output.=' and ('.$index.':'.$value.'px)';
	
			$output="@media only screen ".$output."\n{\n";
		}
		else $output="}\n\n";
		
		return($output);
	}
	
	/**************************************************************************/
}

/******************************************************************************/
/******************************************************************************/