<?php

/******************************************************************************/
/******************************************************************************/

class NPPluginNotice
{
	/**************************************************************************/

	function __construct()
	{
		$this->error=array();
	}

	/**************************************************************************/

	function addError($fieldName,$errorMessage)
	{
		$this->error[]=array($fieldName,esc_html__($errorMessage));
	}

	/**************************************************************************/

	function getError()
	{
		return($this->error);
	}

	/**************************************************************************/

	function isError()
	{
		return(count($this->error));
	}
	
	/**************************************************************************/
	
	function createHTML($templatePath)
	{
		$data=array();
		
		$data['type']=$this->isError() ? 'error' : 'success';
		
		if($this->isError())
		{
			$data['title']=esc_html__('Error','next-post');
			$data['subtitle']=esc_html__('Changes can not be saved.','next-post');				
		}
		else
		{
			$data['title']=esc_html__('Success','next-post');
			$data['subtitle']=esc_html__('All changes have been saved.','next-post');			
		}
		
		$Template=new NPPluginTemplate($data,$templatePath);
		return($Template->output());
	}

	/**************************************************************************/
}

/******************************************************************************/
/******************************************************************************/